Subject: FYI: Structured Headers status

From: Mark Nottingham <[email-masked]>
Date: Fri, 23 Nov 2018 16:06:40 +1100

[ spec editor hat ]

I've been a bit busy getting SH closer to done:

* A from-scratch implementation in Python, directly from the algorithms in the spec (i.e., not at all optimised):
  https://github.com/mnot/shhh

* Updated tests, currently 1,130 (including many from Matthew K - thanks!):
  https://github.com/httpwg/structured-header-tests

Web Packaging is using SH, and as a result there's a partial implementation in a Chrome branch. W3C's Distributed Tracing work is also adopting it, AIUI.

At this point I'm moderately confident in the spec; it's had a number of pairs of eyes on it, and now a few different implementations. Critically, the trickle of corrections in the spec has dried up, and I didn't have to change anything in the spec for my implementation (although I did source a few editorial improvements).

We have a couple of issues still open:
  https://github.com/httpwg/http-extensions/labels/header-structure

It'd be great to hear people's opinions on those if they have any (I've just put a few in); this spec feels like it's getting close to being done.

Cheers,

P.S. Diff from last WD to current editors' draft: https://tools.ietf.org/rfcdiff?url1=https://tools.ietf.org/id/draft-ietf-httpbis-header-structure.txt&url2=https://httpwg.github.io/http-extensions/draft-ietf-httpbis-header-structure.txt

--
Mark Nottingham   https://www.mnot.net/